Loading...
Searching...
No Matches
Magick::shadowImage Class Reference

## Public Member Functions

| shadowImage (const double percent_opacity_=80, const double sigma_=0.5, const ssize_t x_=5, const ssize_t y_=5)
void | operator() (Image &image_) const

## Private Attributes

double | _percent_opacity
double | _sigma
ssize_t | _x
ssize_t | _y

## Detailed Description

Definition at line 1017 of file STL.h.

## Constructor & Destructor Documentation

## shadowImage()

Magick::shadowImage::shadowImage | ( | const double | percent_opacity_ = `80`,
|  | const double | sigma_ = `0.5`,
|  | const ssize_t | x_ = `5`,
|  | const ssize_t | y_ = `5`
| ) |  |

Definition at line 968 of file STL.cpp.

: _percent_opacity( percent_opacity_ ),
_sigma( sigma_ ),
_x ( x_ ),
_y ( y_ )
{
}

## Member Function Documentation

## operator()()

void Magick::shadowImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 977 of file STL.cpp.

{
image_.shadow( _percent_opacity, _sigma, _x, _y );
}

## Field Documentation

## _percent_opacity

double Magick::shadowImage::_percent_opacity

private

Definition at line 1026 of file STL.h.

## _sigma

double Magick::shadowImage::_sigma

private

Definition at line 1027 of file STL.h.

## _x

ssize_t Magick::shadowImage::_x

private

Definition at line 1028 of file STL.h.

## _y

ssize_t Magick::shadowImage::_y

private

Definition at line 1029 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp